Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.core.services.databinding
Interface DomainModelReferenceConverter

All Known Implementing Classes:
  CustomDMRConverter, DynamicContainmentTreeDMRConverter, FeaturePathDomainModelReferenceConverter, IndexDomainModelReferenceConverter, MappingDomainModelReferenceConverter, TableDMRConverter

    public interface DomainModelReferenceConverter

Converts a `VDomainModelReference` to a `IValueProperty`.

Author:
  Lucas Koehler

Field Summary
`static double` | `NOT_APPLICABLE` The constant defining the priority that a `DomainModelReferenceConverter` is not for a `VDomainModelReference`.

Method Summary
`org.eclipse.core.databinding.property.list.IListProperty` | `convertToListProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Converts a `VDomainModelReference` to an `IListProperty`.
`org.eclipse.core.databinding.property.value.IValueProperty` | `convertToValueProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Converts a `VDomainModelReference` to a `IValueProperty`.
`double` | `isApplicable(VDomainModelReference domainModelReference)` Checks whether the given `VDomainModelReference` can be converted by this `DomainModelReferenceConverter` to a `IValueProperty`.

Field Detail

### NOT_APPLICABLE

    static final double NOT_APPLICABLE

  The constant defining the priority that a `DomainModelReferenceConverter` is not for a `VDomainModelReference`.

  See Also:
    Constant Field Values

Method Detail

### isApplicable

    double isApplicable(VDomainModelReference domainModelReference)

  Checks whether the given `VDomainModelReference` can be converted by this `DomainModelReferenceConverter` to a `IValueProperty`. The return value is the priority of this converter. The higher the priority, the better suits the converter the given `VDomainModelReference`.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` whose priority is wanted.
  Returns:
    The priority of the given `VDomainModelReference`; negative infinity if this converter is not applicable.

### convertToValueProperty

    org.eclipse.core.databinding.property.value.IValueProperty convertToValueProperty(VDomainModelReference domainModelReference,
                                                                                      org.eclipse.emf.ecore.EObject object)
                                                                                      throws DatabindingFailedException

  Converts a `VDomainModelReference` to a `IValueProperty`.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` that will be converted to a `IValueProperty`
    `object` - The root object of the rendered form
  Returns:
    The created `IValueProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if no value property could be created due to an invalid `VDomainModelReference`.

### convertToListProperty

    org.eclipse.core.databinding.property.list.IListProperty convertToListProperty(VDomainModelReference domainModelReference,
                                                                                   org.eclipse.emf.ecore.EObject object)
                                                                                   throws DatabindingFailedException

  Converts a `VDomainModelReference` to an `IListProperty`.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` that will be converted to an `IListProperty`
    `object` - The root object of the rendered form
  Returns:
    The created `IListProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if no value property could be created due to an invalid `VDomainModelReference`.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.